Patch Quantity Deal
curl --request PATCH \
--url https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "tjqotbhpzwonwlzospqcs",
"product_id": 6,
"variant_id": 6,
"buy_quantity": 60,
"discounted_quantity": 55,
"percentage": 19,
"max_uses_per_cart": 44,
"priority": 27,
"starts_at": "2012-05-28",
"ends_at": "2012-05-28",
"enabled": true
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}"
payload = {
"name": "tjqotbhpzwonwlzospqcs",
"product_id": 6,
"variant_id": 6,
"buy_quantity": 60,
"discounted_quantity": 55,
"percentage": 19,
"max_uses_per_cart": 44,
"priority": 27,
"starts_at": "2012-05-28",
"ends_at": "2012-05-28",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'tjqotbhpzwonwlzospqcs',
product_id: 6,
variant_id: 6,
buy_quantity: 60,
discounted_quantity: 55,
percentage: 19,
max_uses_per_cart: 44,
priority: 27,
starts_at: '2012-05-28',
ends_at: '2012-05-28',
enabled: true
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'tjqotbhpzwonwlzospqcs',
'product_id' => 6,
'variant_id' => 6,
'buy_quantity' => 60,
'discounted_quantity' => 55,
'percentage' => 19,
'max_uses_per_cart' => 44,
'priority' => 27,
'starts_at' => '2012-05-28',
'ends_at' => '2012-05-28',
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}"
payload := strings.NewReader("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"product_id\": 6,\n \"variant_id\": 6,\n \"buy_quantity\": 60,\n \"discounted_quantity\": 55,\n \"percentage\": 19,\n \"max_uses_per_cart\": 44,\n \"priority\": 27,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"product_id\": 6,\n \"variant_id\": 6,\n \"buy_quantity\": 60,\n \"discounted_quantity\": 55,\n \"percentage\": 19,\n \"max_uses_per_cart\": 44,\n \"priority\": 27,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"product_id\": 6,\n \"variant_id\": 6,\n \"buy_quantity\": 60,\n \"discounted_quantity\": 55,\n \"percentage\": 19,\n \"max_uses_per_cart\": 44,\n \"priority\": 27,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_bodyQuantity Deals
Patch Quantity Deal
Changes only the fields you send. Fields you leave out keep their current value, and null clears a field.
PATCH
/
v1
/
shops
/
{shopId}
/
quantity-deals
/
{dealId}
Patch Quantity Deal
curl --request PATCH \
--url https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "tjqotbhpzwonwlzospqcs",
"product_id": 6,
"variant_id": 6,
"buy_quantity": 60,
"discounted_quantity": 55,
"percentage": 19,
"max_uses_per_cart": 44,
"priority": 27,
"starts_at": "2012-05-28",
"ends_at": "2012-05-28",
"enabled": true
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}"
payload = {
"name": "tjqotbhpzwonwlzospqcs",
"product_id": 6,
"variant_id": 6,
"buy_quantity": 60,
"discounted_quantity": 55,
"percentage": 19,
"max_uses_per_cart": 44,
"priority": 27,
"starts_at": "2012-05-28",
"ends_at": "2012-05-28",
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'tjqotbhpzwonwlzospqcs',
product_id: 6,
variant_id: 6,
buy_quantity: 60,
discounted_quantity: 55,
percentage: 19,
max_uses_per_cart: 44,
priority: 27,
starts_at: '2012-05-28',
ends_at: '2012-05-28',
enabled: true
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'tjqotbhpzwonwlzospqcs',
'product_id' => 6,
'variant_id' => 6,
'buy_quantity' => 60,
'discounted_quantity' => 55,
'percentage' => 19,
'max_uses_per_cart' => 44,
'priority' => 27,
'starts_at' => '2012-05-28',
'ends_at' => '2012-05-28',
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}"
payload := strings.NewReader("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"product_id\": 6,\n \"variant_id\": 6,\n \"buy_quantity\": 60,\n \"discounted_quantity\": 55,\n \"percentage\": 19,\n \"max_uses_per_cart\": 44,\n \"priority\": 27,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"product_id\": 6,\n \"variant_id\": 6,\n \"buy_quantity\": 60,\n \"discounted_quantity\": 55,\n \"percentage\": 19,\n \"max_uses_per_cart\": 44,\n \"priority\": 27,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"product_id\": 6,\n \"variant_id\": 6,\n \"buy_quantity\": 60,\n \"discounted_quantity\": 55,\n \"percentage\": 19,\n \"max_uses_per_cart\": 44,\n \"priority\": 27,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
Body
application/json
Response
200